
QGIS Application - Bug report #7717

feature setFields crashes

2013-04-26 01:17 AM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression

Assignee: Martin Dobias

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16627

Description

Writing

f = QgsFeature()

f.setFields( layer.dataProvider().fields() )

crashes QGIS

Here are the two involved methods

void QgsFeature::setFields  (  const QgsFields *  field  )

virtual const QgsFields& QgsVectorDataProvider::field (   )  const

Something is likely wrong with the ownership. Needs some

investigation

History

#1 - 2013-05-13 02:18 AM - Matthias Kuhn

Is this related to #7772 and should be closed or is this issue still active?

#2 - 2013-05-13 02:37 AM - Denis Rouzaud

no, I don't think it's related.

f.setFields( layer.dataProvider().fields() )

crashes, while

fields = layer.dataProvider().fields()

f.setFields( fields )

doesn't

#3 - 2013-05-13 03:15 AM - Matthias Kuhn
The following does not crash for me on the Python Console of master (Shapefile)

f = QgsFeature()

f.setFields( iface.activeLayer().dataProvider().fields() )

#4 - 2013-05-14 05:57 AM - Denis Rouzaud

- Status changed from Open to Closed

yes apparently it does not crash anymore.
